# class hk_kdesimplegrid

KDE Widget to display data in a grid. More...

Internal Use Only
Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdesimplegrid.h>`
Inherits | QTable [public ], hk_dsvisible [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdesimplegrid (hk_kdegrid* grid, QLabel* statusbar, hk_kdesimpleform* form=NULL)
- virtual ~hk_kdesimplegrid (void)
- virtual QTableItem* item (int row,int col) const
- virtual void sortColumn ( int col, bool ascending = true, bool wholeRows = false )
- hk_column* actual_column (void)
- QString text (int row, int col) const
- void show_gridcolumndialog (void)

#### Public Slots

- void print_grid (void)
- void copy (void)
- void paste (void)
- void cut (void)

#### Signals

- void signal_infocus (hk_kdegridpart*)
- void signal_outfocus (hk_kdegridpart*)

#### Protected Methods

- virtual void adjustRow (int)
- bool eventFilter (QObject* object,QEvent* event)
- void widget_specific_enable_disable (void)
- void widget_specific_row_added (void)
- void widget_specific_row_deleted (void)
- bool widget_specific_row_change (void)
- void widget_specific_insert_mode (void)
- void columns_created (void)
- bool datasource_enable (void)
- bool datasource_disable (void)
- void activateNextCell (void)
- void resizeData (int len)
- void paintCell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)
- void paint_textcell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)
- void paint_boolcell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)
- void paint_combocell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)
- void setCellContentFromEditor ( int row, int col)
- QDragObject* dragObject ()
- void contentsDragEnterEvent (QDragEnterEvent*)
- void contentsDropEvent (QDropEvent*)
- QWidget* createEditor (int row, int col,bool initFromCell) const
- void focusOutEvent ( QFocusEvent * )
- void focusInEvent ( QFocusEvent * )
- void keyPressEvent (QKeyEvent * )
- bool key_pressevent_navigation (QKeyEvent *)

#### Protected Slots

- void row_changed (int row,int column)
- void set_columnwidth (int col,int,int newwidth)
- void column_moved (int section,int from,int to)
- void show_contextmenu (int row, int col,const QPoint& pos)
- void selection_changed (void)
- void slot_mouse_clicked (void)
- void slot_mouse_doubleclicked (void)
- void slot_verticalheader_resized (int,int,int)
- void slot_verticalheader_mouserelease (void)
- void widget_specific_rowheight_changes (void)

## Detailed Description

This widget shows data of a datasource in a grid. If the data is not readonly you can edit the data just by typing in the cell. Usually you don't have to use this widget, use hk_kdegrid instead. This widget has no rowselector. You can navigate through the cells via mouse clicks or keyboard.

hk_kdesimplegrid (hk_kdegrid* grid, QLabel* statusbar, hk_kdesimpleform* form=NULL)

### hk_kdesimplegrid

~hk_kdesimplegrid (void)

### ~hk_kdesimplegrid

[virtual]

QTableItem* item (int row,int col)

### item

[const virtual]

void sortColumn ( int col, bool ascending = true, bool wholeRows = false )

### sortColumn

[virtual]

hk_column* actual_column (void)

### actual_column

QString text (int row, int col)

### text

[const]

void show_gridcolumndialog (void)

### show_gridcolumndialog

void signal_infocus (hk_kdegridpart*)

### signal_infocus

[signal]

void signal_outfocus (hk_kdegridpart*)

### signal_outfocus

[signal]

void print_grid (void)

### print_grid

[slot]

prints the whole grid using KPrinter

void adjustRow (int)

### adjustRow

[protected virtual]

bool eventFilter (QObject* object,QEvent* event)

### eventFilter

[protected]

void widget_specific_enable_disable (void)

### widget_specific_enable_disable

[protected]

Reimplemented from hk_dsvisible.

void widget_specific_row_added (void)

### widget_specific_row_added

[protected]

Reimplemented from hk_dsvisible.

void widget_specific_row_deleted (void)

### widget_specific_row_deleted

[protected]

Reimplemented from hk_dsvisible.

bool widget_specific_row_change (void)

### widget_specific_row_change

[protected]

Reimplemented from hk_dsvisible.

void widget_specific_insert_mode (void)

### widget_specific_insert_mode

[protected]

Reimplemented from hk_dsvisible.

void columns_created (void)

### columns_created

[protected]

bool datasource_enable (void)

### datasource_enable

[protected]

Reimplemented from hk_dsvisible.

bool datasource_disable (void)

### datasource_disable

[protected]

Reimplemented from hk_dsvisible.

void activateNextCell (void)

### activateNextCell

[protected]

void resizeData (int len)

### resizeData

[protected]

void paintCell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)

### paintCell

[protected]

void paint_textcell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)

### paint_textcell

[protected]

void paint_boolcell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)

### paint_boolcell

[protected]

void paint_combocell (QPainter* p,int row, int col, const QRect& cr,bool selected,const QColorGroup &cg)

### paint_combocell

[protected]

void setCellContentFromEditor ( int row, int col)

### setCellContentFromEditor

[protected]

QDragObject* dragObject ()

### dragObject

[protected]

void contentsDragEnterEvent (QDragEnterEvent*)

### contentsDragEnterEvent

[protected]

void contentsDropEvent (QDropEvent*)

### contentsDropEvent

[protected]

QWidget* createEditor (int row, int col,bool initFromCell)

### createEditor

[protected const]

void focusOutEvent ( QFocusEvent * )

### focusOutEvent

[protected]

void focusInEvent ( QFocusEvent * )

### focusInEvent

[protected]

void keyPressEvent (QKeyEvent * )

### keyPressEvent

[protected]

bool key_pressevent_navigation (QKeyEvent *)

### key_pressevent_navigation

[protected]

void copy (void)

### copy

[slot]

void paste (void)

### paste

[slot]

void cut (void)

### cut

[slot]

void row_changed (int row,int column)

### row_changed

[protected slots slot]

void set_columnwidth (int col,int,int newwidth)

### set_columnwidth

[protected slots slot]

void column_moved (int section,int from,int to)

### column_moved

[protected slots slot]

void show_contextmenu (int row, int col,const QPoint& pos)

### show_contextmenu

[protected slots slot]

void selection_changed (void)

### selection_changed

[protected slots slot]

void slot_mouse_clicked (void)

### slot_mouse_clicked

[protected slots slot]

void slot_mouse_doubleclicked (void)

### slot_mouse_doubleclicked

[protected slots slot]

void slot_verticalheader_resized (int,int,int)

### slot_verticalheader_resized

[protected slots slot]

void slot_verticalheader_mouserelease (void)

### slot_verticalheader_mouserelease

[protected slots slot]

void widget_specific_rowheight_changes (void)

### widget_specific_rowheight_changes

[protected slots slot]

- Version: $Revision: 1.47 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.